%define anolis_release 1

Name:           slirp4netns
Version:        1.3.1
Release: %{anolis_release}%{dist}
Summary:        User-mode networking for unprivileged network namespaces
License:        GPL-2.0-only AND MIT AND BSD-2-Clause
Group:          System/Management
URL:            https://github.com/rootless-containers/slirp4netns
Source0:        https://github.com/rootless-containers/slirp4netns/archive/refs/tags/v%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  git
BuildRequires:  glib2-devel
BuildRequires:  libcap-devel
BuildRequires:  libseccomp-devel
BuildRequires:  libslirp-devel

%description
slirp for network namespaces, without copying buffers across the namespaces.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
./autogen.sh
./configure --prefix=%{_usr} --libdir=%{_libdir}
%{__make}

%install
make DESTDIR=%{buildroot} install

%check

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_bindir}/%{name}
%{abidir}/%{name}-option.list
%{_mandir}/man1/%{name}.1.*

%files doc
%doc README.md

%changelog
* Tue Feb 18 2025 Chang Gao <gc-taifu@linux.alibaba.com> - 1.3.1-1
- Update to 1.3.1

* Wed Apr 05 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.2.0-1
- Init package from upstream
